package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcZcssxj;
import com.ruoyi.szxc.mapper.SzxcZcssxjMapper;
import com.ruoyi.szxc.service.ISzxcZcssxjService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 资产设施巡检Service业务层处理
 * 
 * @author hs
 * @date 2024-04-02
 */
@Service
public class SzxcZcssxjServiceImpl implements ISzxcZcssxjService 
{
    @Autowired
    private SzxcZcssxjMapper szxcZcssxjMapper;

    /**
     * 查询资产设施巡检
     * 
     * @param id 资产设施巡检主键
     * @return 资产设施巡检
     */
    @Override
    public SzxcZcssxj selectSzxcZcssxjById(Long id)
    {
        return szxcZcssxjMapper.selectSzxcZcssxjById(id);
    }

    /**
     * 查询资产设施巡检列表
     * 
     * @param szxcZcssxj 资产设施巡检
     * @return 资产设施巡检
     */
    @Override
    @DataScope(deptAlias = "z")
    public List<SzxcZcssxj> selectSzxcZcssxjList(SzxcZcssxj szxcZcssxj)
    {
        return szxcZcssxjMapper.selectSzxcZcssxjList(szxcZcssxj);
    }

    /**
     * 新增资产设施巡检
     * 
     * @param szxcZcssxj 资产设施巡检
     * @return 结果
     */
    @Override
    public int insertSzxcZcssxj(SzxcZcssxj szxcZcssxj)
    {
        szxcZcssxj.setCreateTime(DateUtils.getNowDate());
        return szxcZcssxjMapper.insertSzxcZcssxj(szxcZcssxj);
    }

    /**
     * 修改资产设施巡检
     * 
     * @param szxcZcssxj 资产设施巡检
     * @return 结果
     */
    @Override
    public int updateSzxcZcssxj(SzxcZcssxj szxcZcssxj)
    {
        szxcZcssxj.setUpdateTime(DateUtils.getNowDate());
        return szxcZcssxjMapper.updateSzxcZcssxj(szxcZcssxj);
    }

    /**
     * 批量删除资产设施巡检
     * 
     * @param ids 需要删除的资产设施巡检主键
     * @return 结果
     */
    @Override
    public int deleteSzxcZcssxjByIds(Long[] ids)
    {
        return szxcZcssxjMapper.deleteSzxcZcssxjByIds(ids);
    }

    /**
     * 删除资产设施巡检信息
     * 
     * @param id 资产设施巡检主键
     * @return 结果
     */
    @Override
    public int deleteSzxcZcssxjById(Long id)
    {
        return szxcZcssxjMapper.deleteSzxcZcssxjById(id);
    }
}
